// File    	   : console.h
// Coded by    : Scotte
// History     : Created 14/03/00 23:00:12
//
// Description : Output message to console
// Notes       : None


#ifndef _CONSOLE_H_
#define _CONSOLE_H_


#include <stdio.h>
#include <libps.h>


#ifdef CONSOLE


// Macro       : mERROR()
// Coded by    : Scotte
// History     : Created 06/12/99 22:51:33
//
//			 	 Modified 22/01/2000 Added variable arguments like printf()
//
// Description : Output error message to log
//
// Parameters  : s - error message
//				 args - variable number of arguments
//
// Returns     : None
//
// Notes       : None


#define mERROR(s,args...)\
	printf("ERROR [LINE : %d FILE : %s FUNCTION : %s] " ## s,__LINE__,__FILE__,__FUNCTION__ , ## args)


// Macro       : mWARNING()
// Coded by    : Scotte
// History     : Created 06/12/99 22:51:33
//
//			 	 Modified 22/01/2000 Added variable arguments like printf()
//
// Description : Output warning message to log
//
// Parameters  : s - warning message
//				 args - variable number of arguments
//
// Returns     : None
//
// Notes       : None


#define mWARNING(s,args...)\
	printf("WARNING [LINE : %d FILE : %s FUNCTION : %s] " ## s,__LINE__,__FILE__,__FUNCTION__ , ## args)


// Macro	   : mMESSAGE()
// Coded by    : Scotte
// History     : Created 22/01/00 15:11:54
//
// Description : Output message to log file
//
// Parameters  : s - printf() style format string
//				 args - variable number of arguments
//
// Returns     : None
//
// Notes       : None


#define mMESSAGE(s,args...)\
	printf("[%s] " ## s,__FUNCTION__ , ## args)


#else


// Macro       : mERROR()
// Coded by    : Scotte
// History     : Created 23/01/00 13:44:48
//
// Description : When CONSOLE is not defined this
//				 macro does nothing
//
// Parameters  : None
//
// Returns     : None
//
// Notes       : None


#define mERROR(s,args...)\
		//


// Macro       : mWARNING()
// Coded by    : Scotte
// History     : Created 23/01/00 13:44:48
//
// Description : When CONSOLE is not defined this
//				 macro does nothing
//
// Parameters  : None
//
// Returns     : None
//
// Notes       : None


#define mWARNING(s,args... )\
		//


// Macro       : mMESSAGE()
// Coded by    : Scotte
// History     : Created 23/01/00 13:44:48
//
// Description : When CONSOLE is not defined this
//				 macro does nothing
//
// Parameters  : None
//
// Returns     : None
//
// Notes       : None


#define mMESSAGE(s,args...)\
		//


#endif


#endif